getdns_context_set_context_update_callback(3)

NAME
getdns_context_set_context_update_callback -- get informed on getdns context updates

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_return_t
getdns_context_set_context_update_callback (getdns_context ** context,
    void (*cbfun)(getdns_context *context, getdns_context_code_t changed_item)

DESCRIPTION

Changes to the context such as in response to system files that affect the contet (/etc/resolv.conf etc.) trigger a call to the callback function specified as cbfun

context a previously initialized context

cbfun callback function to invoked when the specified context changes. If this argument is NULL then updates to the context will not invoke a callback.

RETURN VALUES
Upon successful completion each of these functions return GETDNS_RETURN_GOOD , otherwise the following error values are returned:

GETDNS_RETURN_GENERIC_ERROR memory allocation failed or some other untoward thing happened

GETDNS_RETURN_BAD_CONTEXT if the context pointer is invalid

EXAMPLES
TBD

SEE ALSO
libgetdns(3), getdns_context_create(3), getdns_context_set(3), getdns_context_set_context_update_callback(3),